Subject: Re: bug#23476: 25.0.93; Visiting C files on master signals an error

From: Alan Mackenzie <[email-masked]>
Date: Mon, 9 May 2016 18:22:06 +0000

Hello, Eli.

On Mon, May 09, 2016 at 07:52:08PM +0300, Eli Zaretskii wrote:
> > Date: Mon, 9 May 2016 11:07:13 +0000
> > Cc: [email-masked]
> > From: Alan Mackenzie <[email-masked]>

[ .... ]

> > Right.  I've amended C(etc.) Mode to use the new :after-hook parameter
> > to define-derived-mode which I committed yesterday.  The eval form which
> > used to be in .dir-locals.el is now run by C Mode after the mode hooks
> > (and file/dir local variables stuff) have been done.

> Thanks.

[ .... ]

> > One way to get round this would be to add the safe-local-variable
> > stuff into emacs-25, but nobody wants to change emacs-25 at this
> > late stage.

> Adding a variable that is not used for anything but declaring its safe
> values should be OK, I think.

> > Just how bad would it be to get the question about unsafe local
> > variables when visiting master C files from emacs-25 emacs -Q?

> It's better, but still an annoyance.  And if the solution in non-Q
> sessions is to accept the variable as safe anyway, then adding the
> variable instead for the same purpose is not different, and should be
> "safe" (pun intended ;-).

OK, Done.  (Full patch in master, minimal patch in emacs-25).

-- 
Alan Mackenzie (Nuremberg, Germany).